Package fr.gouv.vitam.antivirus.client.invoker

# Class ApiException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.antivirus.client.invoker.ApiException

All Implemented Interfaces:
  `Serializable`

@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen", date="2025-10-29T21:12:11.613695899+01:00[Europe/Paris]", comments="Generator version: 7.4.0") public class ApiException extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApiException()`
  `ApiException(int code, String message)`
  `ApiException(int code, String message, Map<String,List<String>> responseHeaders, String responseBody)`
  `ApiException(int code, Map<String,List<String>> responseHeaders, String responseBody)`
  `ApiException(String message)`
  `ApiException(String message, int code, Map<String,List<String>> responseHeaders, String responseBody)`
  `ApiException(String message, Throwable throwable, int code, Map<String,List<String>> responseHeaders)`
  `ApiException(String message, Throwable throwable, int code, Map<String,List<String>> responseHeaders, String responseBody)`
  `ApiException(Throwable throwable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  Get the HTTP status code.
  `String`
  `getResponseBody()`
  Get the HTTP response body.
  `Map<String,List<String>>`
  `getResponseHeaders()`
  Get the HTTP response headers.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ApiException

    public ApiException()

  - ### ApiException

    public ApiException(Throwable throwable)

  - ### ApiException

    public ApiException(String message)

  - ### ApiException

    public ApiException(String message, Throwable throwable, int code, Map<String,List<String>> responseHeaders, String responseBody)

  - ### ApiException

    public ApiException(String message, int code, Map<String,List<String>> responseHeaders, String responseBody)

  - ### ApiException

    public ApiException(String message, Throwable throwable, int code, Map<String,List<String>> responseHeaders)

  - ### ApiException

    public ApiException(int code, Map<String,List<String>> responseHeaders, String responseBody)

  - ### ApiException

    public ApiException(int code, String message)

  - ### ApiException

    public ApiException(int code, String message, Map<String,List<String>> responseHeaders, String responseBody)

- ## Method Details

  - ### getCode

    public int getCode()
    Get the HTTP status code.
    Returns:
      HTTP status code

  - ### getResponseHeaders

    public Map<String,List<String>> getResponseHeaders()
    Get the HTTP response headers.
    Returns:
      A map of list of string

  - ### getResponseBody

    public String getResponseBody()
    Get the HTTP response body.
    Returns:
      Response body in the form of string

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`